﻿@model SYM.DataAccessLayer.route

@{
    ViewBag.Title = "Modifica Itinerario - ";
    Layout = null;
}

<div class="portlet-body form">
    <!-- BEGIN FORM-->
    @using (Html.BeginForm(Html.BeginForm("Edit", "Route", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { id = "formModal", @class = "form-horizontal" })))
    {
        @Html.ValidationSummary(true)
        @Html.HiddenFor(model => model.id)
        @Html.HiddenFor(model => model.country_id, new { id = "routeCountry" })
        <ul class="nav nav-tabs">
            <li class="active">
                <a href="#tab_mc_1" data-toggle="tab">Info Geo</a>
            </li>
            <li>
                <a href="#tab_mc_2" id="Maps" data-toggle="tab">Info Topos</a>
            </li>
            <li>
                <a href="#tab_mc_3" data-toggle="tab">Web Resource</a>
            </li>
        </ul>
        <div class="tab-content">
            <div class="tab-pane fade active in" id="tab_mc_1">
                @*<div class="form-body">*@
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Name topos <span class="required" aria-required="true">*</span></label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(model => model.route_name, new { @class = "form-control" })
                                @Html.ValidationMessageFor(model => model.route_name)
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    @*<div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label col-md-3">Title <span class="required" aria-required="true">*</span></label>
                                <div class="col-md-9">
                                    @Html.TextBoxFor(model => model.route_title, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.route_title)
                                </div>
                            </div>
                        </div>*@
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Region <span class="required" aria-required="true">*</span></label>
                            <div class="col-md-9">
                                @Html.DropDownList("routeRegion", null, null, new { @class = "form-control select2me" })
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row">
                    @*<div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label col-md-3">Region <span class="required" aria-required="true">*</span></label>
                                <div class="col-md-9">
                                    @Html.DropDownList("routeRegion", null, null, new { @class = "form-control select2me" })
                                </div>
                            </div>
                        </div>*@
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Mountain</label>
                            <div class="col-md-9">
                                <select id="routeMntn" name="routeMntn" class="form-control select2">
                                    <option value="@Html.DisplayFor(modelItem => modelItem.mountain_id)">@Html.DisplayFor(modelItem => modelItem.mountain.mntn_name)</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            @*<label class="control-label col-md-3">Mountain Range/Group </label>*@
                            <div class="col-md-6">
                                @*@Html.DropDownList("routeMntnGroup", null, string.Empty, new { @class = "form-control select2me", data_placeholder = "Select mountain group..." })*@
                                <select id="routeMntnGroup" name="routeMntnGroup" class="form-control select2me" disabled="disabled">
                                    <option value="@Html.DisplayFor(modelItem => modelItem.mntn_mountaingroup.id)">@Html.DisplayFor(modelItem => modelItem.mntn_mountaingroup.mntnGroup_name)</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <select id="routeMntnRange" name="routeMntnRange" class="form-control select2me" disabled="disabled" placeholder="Select mountain range...">
                                    <option value="@Html.DisplayFor(modelItem => modelItem.mntn_mountainrange.id)">@Html.DisplayFor(modelItem => modelItem.mntn_mountainrange.mntnRange_name)</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Valley</label>
                            <div class="col-md-9">
                                @Html.DropDownList("routeValley", null, string.Empty, new { @class = "form-control select2me", data_placeholder = "Select valley..." })
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Località Partenza</label>
                            <div class="col-md-9">
                                <select id="routeCity" name="routeCity" class="form-control select2">
                                    <option value="@Html.DisplayFor(modelItem => modelItem.city_id)">@Html.DisplayFor(modelItem => modelItem.geo_city.city_name)</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row" style="height:250px;">
                    <div class="col-md-12">
                        <div id="gmap_modal" style="width:100%; height:250px;"></div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="tab_mc_2">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Max Altitudine m.</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(model => model.route_altitude, new { @class = "form-control", placeholder = "Length...", type = "number" })
                                @Html.ValidationMessageFor(model => model.route_altitude)
                            </div>

                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Sviluppo/Dislivello</label>
                            <div class="col-md-4">
                                @Html.TextBoxFor(model => model.route_length, new { @class = "form-control", placeholder = "Length...", type = "number" })
                                @Html.ValidationMessageFor(model => model.route_length)
                            </div>
                            <div class="col-md-5">
                                @Html.TextBoxFor(model => model.route_height, new { @class = "form-control", placeholder = "Height...", type = "number" })
                                @Html.ValidationMessageFor(model => model.route_height)
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Activity</label>
                            <div class="col-md-9">
                                @Html.DropDownList("routeActivity", null, string.Empty, new { @class = "form-control select2me", data_placeholder = "Select outdoor activity..." })
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Difficulty</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(model => model.difficulty_grade, new { @class = "form-control" })
                                @Html.ValidationMessageFor(model => model.difficulty_grade)
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Esposizione</label>
                            <div class="col-md-9">
                                @*@Html.TextBoxFor(model => model.route_facing, new { @class = "form-control" })*@
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">N° Pitches</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(model => model.route_pitchAsc, new { @class = "form-control", type = "number" })
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">First Climbers</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(model => model.route_firstAscClimbers, new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">1° Ascent Date</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(model => model.route_firstAscDate, new { @class = "form-control", type = "date" })
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
            </div>
            <div class="tab-pane fade" id="tab_mc_3">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-3">Web Info</label>
                            <div class="col-md-9">
                                @if (Model.route_webinfo.Count > 0)
                                {
                                    @Html.TextBoxFor(model => model.route_webinfo.First().wi_url, new { @class = "form-control" })
                                }
                                else
                                {
                                    <input class="form-control" id="wi_url" name="wi_url" type="text" value="">
                                }
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                        </div>
                    </div>
                    <!--/span-->
                </div>
            </div>
        </div>
    }
    <!-- END FORM-->
</div>

<script type="text/javascript">

    $('#modal-container').removeClass("modal-lg").addClass("modal-full");
    $('#modal-title').html("@ViewBag.Title");
    $('#myModal_submit').html("Aggiorna");

    //Initialize Select DropDown
    $('.select2me').select2({
        allowClear: true,
        width: null,
        placeholder: ""
    });


    var mapGeocoding = function () {
        var map;


        @if(Model.mountain != null)
    {
        <text>
        map = new GMaps({
            lat: @Model.mountain.mntn_latitude.ToString().Replace(",","."),
            lng: @Model.mountain.mntn_longitude.ToString().Replace(",", "."),
            div: '#gmap_modal',
            zoom: 13
        });

        map.addMarker({
            lat: @Model.mountain.mntn_latitude.ToString().Replace(",","."),
            lng: @Model.mountain.mntn_longitude.ToString().Replace(",", "."),
            title: '@Model.mountain.mntn_name',
            label: 'M'
        });

        </text>

        if (@Model.geo_city != null){
            <text>
            map.addMarker({
                lat: @Model.geo_city.city_latitude.ToString().Replace(",", "."),
                lng: @Model.geo_city.city_longitude.ToString().Replace(",", "."),
                title: 'Località di partenza: @Model.geo_city.city_name',
                label: 'P'
            });
        </text>
        }
    }

    };
    setTimeout("mapGeocoding();", 200);

    $('#routeMntn').on("select2-selecting", function (e) {
        $('#routeMntnRange').select2('enable', false);
        $('#routeMntnGroup').select2('enable', false);
    });

    MyApp.Select2LookupMountain('#routeMntn', '/api/autocomplete/GetMountains', '#routeCountry', '#routeRegion');

    //B
    //CREATE Common JS to share with other pages
    var options = {
        types: ['(cities)']
    };

    var input = (document.getElementById('pac-input'));

    autocomplete = new google.maps.places.Autocomplete(input, options);

    google.maps.event.addListener(autocomplete, 'place_changed', function () {
        var place = autocomplete.getPlace();
        if (!place.geometry) {
            window.alert("Autocomplete's returned place contains no geometry");
            return;
        }
        map.removeMarkers();

        //SetInputs4Location(place.address_components, place.geometry.location.lat(), place.geometry.location.lng());

        map.setCenter(place.geometry.location.lat(), place.geometry.location.lng());

        //Start
        map.addMarker({
            lat: place.geometry.location.lat(),
            lng: place.geometry.location.lng(),
            icon: icons["meta"].icon,
            title: 'Località Partenza'
        });

        //Peak
        map.addMarker({
            lat: mntn_lat,
            lng: mntn_lng,
            label: "M",
            title: mntn_txt
        });
    });
    //E
</script>

